# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '.\ui\widget_asa_loader.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_WidgetAsaLoader(object):
    def setupUi(self, WidgetAsaLoader):
        WidgetAsaLoader.setObjectName("WidgetAsaLoader")
        WidgetAsaLoader.resize(900, 500)
        font = QtGui.QFont()
        font.setFamily("微軟正黑體")
        WidgetAsaLoader.setFont(font)
        self.horizontalLayout = QtWidgets.QHBoxLayout(WidgetAsaLoader)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.groupBox_Serial = QtWidgets.QGroupBox(WidgetAsaLoader)
        self.groupBox_Serial.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_Serial.sizePolicy().hasHeightForWidth())
        self.groupBox_Serial.setSizePolicy(sizePolicy)
        self.groupBox_Serial.setMinimumSize(QtCore.QSize(0, 0))
        self.groupBox_Serial.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.groupBox_Serial.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.groupBox_Serial.setObjectName("groupBox_Serial")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_Serial)
        self.horizontalLayout_3.setContentsMargins(2, 2, 2, 2)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setObjectName("gridLayout_3")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_3.addItem(spacerItem, 1, 2, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setSpacing(6)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.lineEdit_goAppDelay = QtWidgets.QLineEdit(self.groupBox_Serial)
        self.lineEdit_goAppDelay.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.lineEdit_goAppDelay.setObjectName("lineEdit_goAppDelay")
        self.horizontalLayout_2.addWidget(self.lineEdit_goAppDelay)
        self.label_goAppDelayUnit = QtWidgets.QLabel(self.groupBox_Serial)
        self.label_goAppDelayUnit.setObjectName("label_goAppDelayUnit")
        self.horizontalLayout_2.addWidget(self.label_goAppDelayUnit)
        self.gridLayout_3.addLayout(self.horizontalLayout_2, 2, 1, 1, 1)
        self.label_goAppDelayTitle = QtWidgets.QLabel(self.groupBox_Serial)
        self.label_goAppDelayTitle.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_goAppDelayTitle.setObjectName("label_goAppDelayTitle")
        self.gridLayout_3.addWidget(self.label_goAppDelayTitle, 2, 0, 1, 1)
        self.label_selecSerialPort = QtWidgets.QLabel(self.groupBox_Serial)
        self.label_selecSerialPort.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.label_selecSerialPort.setBaseSize(QtCore.QSize(0, 0))
        self.label_selecSerialPort.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_selecSerialPort.setObjectName("label_selecSerialPort")
        self.gridLayout_3.addWidget(self.label_selecSerialPort, 0, 0, 1, 1)
        self.comboBox_selectDevice = QtWidgets.QComboBox(self.groupBox_Serial)
        self.comboBox_selectDevice.setObjectName("comboBox_selectDevice")
        self.gridLayout_3.addWidget(self.comboBox_selectDevice, 1, 1, 1, 1)
        self.label_selectDevice = QtWidgets.QLabel(self.groupBox_Serial)
        self.label_selectDevice.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_selectDevice.setIndent(-1)
        self.label_selectDevice.setObjectName("label_selectDevice")
        self.gridLayout_3.addWidget(self.label_selectDevice, 1, 0, 1, 1)
        self.checkBox_goApp = QtWidgets.QCheckBox(self.groupBox_Serial)
        self.checkBox_goApp.setObjectName("checkBox_goApp")
        self.gridLayout_3.addWidget(self.checkBox_goApp, 2, 2, 1, 1)
        self.comboBox_selectPort = QtWidgets.QComboBox(self.groupBox_Serial)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.comboBox_selectPort.sizePolicy().hasHeightForWidth())
        self.comboBox_selectPort.setSizePolicy(sizePolicy)
        self.comboBox_selectPort.setObjectName("comboBox_selectPort")
        self.gridLayout_3.addWidget(self.comboBox_selectPort, 0, 1, 1, 1)
        self.pushButton_updatePortList = QtWidgets.QPushButton(self.groupBox_Serial)
        self.pushButton_updatePortList.setText("")
        self.pushButton_updatePortList.setObjectName("pushButton_updatePortList")
        self.gridLayout_3.addWidget(self.pushButton_updatePortList, 0, 2, 1, 1)
        self.horizontalLayout_3.addLayout(self.gridLayout_3)
        self.verticalLayout_3.addWidget(self.groupBox_Serial)
        self.groupBox_basicFuns = QtWidgets.QGroupBox(WidgetAsaLoader)
        self.groupBox_basicFuns.setObjectName("groupBox_basicFuns")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_basicFuns)
        self.gridLayout.setObjectName("gridLayout")
        self.lineEdit_selectFile = QtWidgets.QLineEdit(self.groupBox_basicFuns)
        font = QtGui.QFont()
        font.setFamily("Consolas")
        self.lineEdit_selectFile.setFont(font)
        self.lineEdit_selectFile.setObjectName("lineEdit_selectFile")
        self.gridLayout.addWidget(self.lineEdit_selectFile, 0, 0, 1, 1)
        self.pushButton_stopProg = QtWidgets.QPushButton(self.groupBox_basicFuns)
        self.pushButton_stopProg.setText("")
        self.pushButton_stopProg.setObjectName("pushButton_stopProg")
        self.gridLayout.addWidget(self.pushButton_stopProg, 0, 3, 1, 1)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_programSizeContent = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_programSizeContent.setObjectName("label_programSizeContent")
        self.gridLayout_2.addWidget(self.label_programSizeContent, 3, 1, 1, 1)
        self.label_deviceContent = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_deviceContent.setObjectName("label_deviceContent")
        self.gridLayout_2.addWidget(self.label_deviceContent, 2, 1, 1, 1)
        self.label = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.label_etcContent = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_etcContent.setObjectName("label_etcContent")
        self.gridLayout_2.addWidget(self.label_etcContent, 4, 1, 1, 1)
        self.progressBar = QtWidgets.QProgressBar(self.groupBox_basicFuns)
        self.progressBar.setProperty("value", 0)
        self.progressBar.setObjectName("progressBar")
        self.gridLayout_2.addWidget(self.progressBar, 0, 1, 1, 1)
        self.label_etcTitle = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_etcTitle.setMinimumSize(QtCore.QSize(0, 24))
        self.label_etcTitle.setObjectName("label_etcTitle")
        self.gridLayout_2.addWidget(self.label_etcTitle, 4, 0, 1, 1)
        self.label_statusTitle = QtWidgets.QLabel(self.groupBox_basicFuns)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_statusTitle.sizePolicy().hasHeightForWidth())
        self.label_statusTitle.setSizePolicy(sizePolicy)
        self.label_statusTitle.setMinimumSize(QtCore.QSize(0, 24))
        self.label_statusTitle.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_statusTitle.setObjectName("label_statusTitle")
        self.gridLayout_2.addWidget(self.label_statusTitle, 1, 0, 1, 1)
        self.label_deviceTitle = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_deviceTitle.setMinimumSize(QtCore.QSize(0, 24))
        self.label_deviceTitle.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_deviceTitle.setObjectName("label_deviceTitle")
        self.gridLayout_2.addWidget(self.label_deviceTitle, 2, 0, 1, 1)
        self.label_statusContent = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_statusContent.setObjectName("label_statusContent")
        self.gridLayout_2.addWidget(self.label_statusContent, 1, 1, 1, 1)
        self.label_programSizeTitle = QtWidgets.QLabel(self.groupBox_basicFuns)
        self.label_programSizeTitle.setMinimumSize(QtCore.QSize(0, 24))
        self.label_programSizeTitle.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_programSizeTitle.setObjectName("label_programSizeTitle")
        self.gridLayout_2.addWidget(self.label_programSizeTitle, 3, 0, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_2.addItem(spacerItem1, 5, 1, 1, 1)
        self.gridLayout.addLayout(self.gridLayout_2, 2, 0, 1, 6)
        self.pushButton_startProg = QtWidgets.QPushButton(self.groupBox_basicFuns)
        self.pushButton_startProg.setText("")
        self.pushButton_startProg.setObjectName("pushButton_startProg")
        self.gridLayout.addWidget(self.pushButton_startProg, 0, 2, 1, 1)
        self.pushButton_selectFile = QtWidgets.QPushButton(self.groupBox_basicFuns)
        self.pushButton_selectFile.setText("")
        self.pushButton_selectFile.setObjectName("pushButton_selectFile")
        self.gridLayout.addWidget(self.pushButton_selectFile, 0, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_basicFuns)
        self.horizontalLayout.addLayout(self.verticalLayout_3)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout()
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.groupBox = QtWidgets.QGroupBox(WidgetAsaLoader)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label_steps = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_steps.sizePolicy().hasHeightForWidth())
        self.label_steps.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("微軟正黑體")
        self.label_steps.setFont(font)
        self.label_steps.setObjectName("label_steps")
        self.verticalLayout_2.addWidget(self.label_steps)
        spacerItem2 = QtWidgets.QSpacerItem(20, 185, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)
        self.verticalLayout_4.addWidget(self.groupBox)
        self.groupBox_specialTools = QtWidgets.QGroupBox(WidgetAsaLoader)
        self.groupBox_specialTools.setObjectName("groupBox_specialTools")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_specialTools)
        self.verticalLayout.setObjectName("verticalLayout")
        self.pushButton_progM128 = QtWidgets.QPushButton(self.groupBox_specialTools)
        self.pushButton_progM128.setObjectName("pushButton_progM128")
        self.verticalLayout.addWidget(self.pushButton_progM128)
        self.pushButton_progM3 = QtWidgets.QPushButton(self.groupBox_specialTools)
        self.pushButton_progM3.setObjectName("pushButton_progM3")
        self.verticalLayout.addWidget(self.pushButton_progM3)
        self.pushButton_progStk500 = QtWidgets.QPushButton(self.groupBox_specialTools)
        self.pushButton_progStk500.setObjectName("pushButton_progStk500")
        self.verticalLayout.addWidget(self.pushButton_progStk500)
        self.verticalLayout_4.addWidget(self.groupBox_specialTools)
        self.horizontalLayout.addLayout(self.verticalLayout_4)

        self.retranslateUi(WidgetAsaLoader)
        QtCore.QMetaObject.connectSlotsByName(WidgetAsaLoader)

    def retranslateUi(self, WidgetAsaLoader):
        _translate = QtCore.QCoreApplication.translate
        self.groupBox_Serial.setTitle(_translate("WidgetAsaLoader", "基本設定"))
        self.lineEdit_goAppDelay.setText(_translate("WidgetAsaLoader", "1000"))
        self.label_goAppDelayUnit.setText(_translate("WidgetAsaLoader", "ms"))
        self.label_goAppDelayTitle.setText(_translate("WidgetAsaLoader", "執行應用延遲："))
        self.label_selecSerialPort.setText(_translate("WidgetAsaLoader", "選擇串列埠："))
        self.label_selectDevice.setText(_translate("WidgetAsaLoader", "選擇裝置："))
        self.checkBox_goApp.setText(_translate("WidgetAsaLoader", "燒錄完自動執行應用"))
        self.pushButton_updatePortList.setToolTip(_translate("WidgetAsaLoader", "更新串列埠"))
        self.groupBox_basicFuns.setTitle(_translate("WidgetAsaLoader", "燒錄一般應用程式"))
        self.pushButton_stopProg.setToolTip(_translate("WidgetAsaLoader", "強制終止"))
        self.label_programSizeContent.setText(_translate("WidgetAsaLoader", "-"))
        self.label_deviceContent.setText(_translate("WidgetAsaLoader", "-"))
        self.label.setText(_translate("WidgetAsaLoader", "進度條："))
        self.label_etcContent.setText(_translate("WidgetAsaLoader", "-"))
        self.label_etcTitle.setText(_translate("WidgetAsaLoader", "預估花費時間："))
        self.label_statusTitle.setText(_translate("WidgetAsaLoader", "當前狀態："))
        self.label_deviceTitle.setText(_translate("WidgetAsaLoader", "當前裝置："))
        self.label_statusContent.setText(_translate("WidgetAsaLoader", "等待燒錄"))
        self.label_programSizeTitle.setText(_translate("WidgetAsaLoader", "程式大小："))
        self.pushButton_startProg.setToolTip(_translate("WidgetAsaLoader", "開始燒錄"))
        self.pushButton_selectFile.setToolTip(_translate("WidgetAsaLoader", "選擇檔案"))
        self.groupBox.setTitle(_translate("WidgetAsaLoader", "使用說明"))
        self.label_steps.setText(_translate("WidgetAsaLoader", "<html><head/><body><p>1. 用USB線將單板電腦與PC接上。</p><p>2. 將單板電腦指撥開關撥到&quot;PROG&quot;。</p><p>3. 按下reset按鈕。</p><p>4. 選擇單板電腦連接到之串列埠。</p><p>5. 點選選擇檔案，並選取欲燒錄之檔案。</p><p>6. 點選開始燒錄。</p><p>7. 等待進度條跑到100%即完成燒錄。</p></body></html>"))
        self.groupBox_specialTools.setTitle(_translate("WidgetAsaLoader", "燒錄特殊功能應用程式"))
        self.pushButton_progM128.setText(_translate("WidgetAsaLoader", "燒錄 \"ASA_M128\"  hello world 測試程式"))
        self.pushButton_progM3.setText(_translate("WidgetAsaLoader", "燒錄 \"ASA_M3\"  hello world 測試程式"))
        self.pushButton_progStk500.setText(_translate("WidgetAsaLoader", "燒錄 \"M128_STK500\"  (可將ASA_M128轉變為STK500裝置使用)"))
